Resolve a conversation
Marks a conversation as resolved
POST
/
public
/
api
/
v1
/
inboxes
/
{inbox_identifier}
/
contacts
/
{contact_identifier}
/
conversations
/
{conversation_id}
/
toggle_status
Resolve a conversation
curl --request POST \
--url https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_statusimport requests
url = "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_status"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_status"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 169,
"uuid": "00000000-0000-4000-8000-000000000000",
"inbox_id": 8,
"contact_last_seen_at": 0,
"status": "resolved",
"agent_last_seen_at": 0,
"messages": [
{
"id": 563,
"content": "Hi — is my order still on track?",
"message_type": 0,
"content_type": "text",
"content_attributes": {
"submitted_values": [
{
"name": "order_id",
"title": "Order",
"value": "A-10482"
}
]
},
"created_at": 1789957537,
"conversation_id": 169,
"sender": {
"additional_attributes": {
"avatar_background_color": "#D4F4DD",
"illustration_avatar_index": 31
},
"custom_attributes": {},
"email": "dana.brooks4821@example.com",
"id": 147,
"identifier": "user-4821",
"name": "Dana Brooks",
"phone_number": null,
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"thumbnail_background_color": "#D4F4DD",
"domain_logo_avatar": false,
"customer_verified": true,
"blocked": false,
"type": "contact"
}
}
],
"contact": {
"id": 147,
"name": "Dana Brooks",
"email": "dana.brooks4821@example.com",
"phone_number": null,
"account_id": 1,
"created_at": "2026-09-21T02:25:37.579Z",
"updated_at": "2026-09-21T02:25:37.747Z",
"additional_attributes": {
"avatar_background_color": "#D4F4DD",
"illustration_avatar_index": 31
},
"identifier": "user-4821",
"custom_attributes": {},
"last_activity_at": "2026-09-21T02:25:37.744Z",
"contact_type": "lead",
"middle_name": "",
"last_name": "",
"location": null,
"country_code": null,
"blocked": false,
"company_id": null,
"label_list": []
}
}{
"error": "Resource could not be found"
}{
"error": "Resource could not be found"
}Path Parameters
The identifier obtained from API inbox channel
The source id of contact obtained on contact create
The numeric ID of the conversation
Was this page helpful?
⌘I
Resolve a conversation
curl --request POST \
--url https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_statusimport requests
url = "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_status"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_status"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 169,
"uuid": "00000000-0000-4000-8000-000000000000",
"inbox_id": 8,
"contact_last_seen_at": 0,
"status": "resolved",
"agent_last_seen_at": 0,
"messages": [
{
"id": 563,
"content": "Hi — is my order still on track?",
"message_type": 0,
"content_type": "text",
"content_attributes": {
"submitted_values": [
{
"name": "order_id",
"title": "Order",
"value": "A-10482"
}
]
},
"created_at": 1789957537,
"conversation_id": 169,
"sender": {
"additional_attributes": {
"avatar_background_color": "#D4F4DD",
"illustration_avatar_index": 31
},
"custom_attributes": {},
"email": "dana.brooks4821@example.com",
"id": 147,
"identifier": "user-4821",
"name": "Dana Brooks",
"phone_number": null,
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"thumbnail_background_color": "#D4F4DD",
"domain_logo_avatar": false,
"customer_verified": true,
"blocked": false,
"type": "contact"
}
}
],
"contact": {
"id": 147,
"name": "Dana Brooks",
"email": "dana.brooks4821@example.com",
"phone_number": null,
"account_id": 1,
"created_at": "2026-09-21T02:25:37.579Z",
"updated_at": "2026-09-21T02:25:37.747Z",
"additional_attributes": {
"avatar_background_color": "#D4F4DD",
"illustration_avatar_index": 31
},
"identifier": "user-4821",
"custom_attributes": {},
"last_activity_at": "2026-09-21T02:25:37.744Z",
"contact_type": "lead",
"middle_name": "",
"last_name": "",
"location": null,
"country_code": null,
"blocked": false,
"company_id": null,
"label_list": []
}
}{
"error": "Resource could not be found"
}{
"error": "Resource could not be found"
}